<?php
/**
 * @package    Publications
 * @link http://www.icsr.agh.edu.pl/~polak/skrypty/publications.var
 * @license    GNU/GPL
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
/**
 * Publications View class for the Publications Component
 *
 * @package    Publications
 */
class PublicationsViewPublications extends JViewLegacy
{
	/**
	 * Display the Publications view
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  void
	 */
        function display($tpl = null)
	{
		// get id of a category which name is in the $publications_title variable 
		$categoryId = $this->get('CategoryId');
                //if this category doesn't exists in DB
		if($categoryId == NULL) {
			//get a value of the $publications_title variable from a config file
                	require(JPATH_COMPONENT_ADMINISTRATOR.DIRECTORY_SEPARATOR.'publications_settings.php');
			JFactory::getApplication()->enqueueMessage(JText::_('COM_PUBLICATIONS_CATEGORY_NOT_FOUND'), 'error');
      			return false;
		} 

		//get years of publication
    		$this->years = $this->get('Years');
                //pagination
    		$this->pagination = $this->get('Pagination');
		//check if we search publications
		if(strlen(JFactory::getApplication()->input->get('order')) != 0)
      			//get  searched publications
    			$this->items = $this->get('Search');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JLog::add(implode('<br />', $errors), JLog::WARNING, 'jerror');
			return false;
		}
 
		// Display the view
		parent::display($tpl);
	}
}
